Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 5.8.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.autoinventory.scanimpl
Class ScanMethodBase

    java.lang.Object
      org.hyperic.hq.autoinventory.scanimpl.ScanMethodBase

All Implemented Interfaces:
  ScanMethod

Direct Known Subclasses:
  FileScan, NullScan, WindowsRegistryScan

    public abstract class ScanMethodBase

extends Object
implements ScanMethod

Field Summary
`protected int` | `_authorityLevel`
`protected org.hyperic.util.AutoApproveConfig` | `_autoApproveConfig`
`protected org.hyperic.util.config.ConfigResponse` | `_config`
`protected Scanner` | `_scanner`
`protected ScanState` | `_state`

Constructor Summary
`ScanMethodBase()`

Method Summary
`int` | `getAuthorityLevel()` Get the authority level of this ScanMethod.
`org.hyperic.util.config.ConfigResponse` | `getConfig()` Get the current configuration, if one has been set.
`org.hyperic.util.config.ConfigSchema` | `getConfigSchema()` returned by the getConfigOptCores method.
`protected abstract org.hyperic.util.config.ConfigOption[]` | `getOptionsArray()` Subclasses implement this method to return the array of ConfigOptions supported by the scan method.
`void` | `init(Scanner scanner, org.hyperic.util.config.ConfigResponse config, org.hyperic.util.AutoApproveConfig autoApproveConfig)` Initialize this scan method.
`void` | `setAuthorityLevel(int level)` Set the authority level of this ScanMethod.
`void` | `setScanner(Scanner scanner)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.hyperic.hq.autoinventory.ScanMethod
`getDescription, getDisplayName, getName, scan`

Field Detail

### _config

    protected org.hyperic.util.config.ConfigResponse _config

### _authorityLevel

    protected int _authorityLevel

### _state

    protected ScanState _state

### _scanner

    protected Scanner _scanner

### _autoApproveConfig

    protected org.hyperic.util.AutoApproveConfig _autoApproveConfig

Constructor Detail

### ScanMethodBase

    public ScanMethodBase()

Method Detail

### getAuthorityLevel

    public int getAuthorityLevel()

  Description copied from interface: `ScanMethod`
  Get the authority level of this ScanMethod. ScanMethods with higher authority levels are considered authoritative for server and service attributes when multiple ScanMethods detect the same server/service.

  Specified by:
    `getAuthorityLevel` in interface `ScanMethod`
  Returns:
    The authority level for this scan method.

### setAuthorityLevel

    public void setAuthorityLevel(int level)

  Description copied from interface: `ScanMethod`
  Set the authority level of this ScanMethod. ScanMethods with higher authority levels are considered authoritative for server and service attributes when multiple ScanMethods detect the same server/service.

  Specified by:
    `setAuthorityLevel` in interface `ScanMethod`
  Parameters:
    `level` - The authority level to use for this scan method.

### init

    public void init(Scanner scanner,
                     org.hyperic.util.config.ConfigResponse config,
                     org.hyperic.util.AutoApproveConfig autoApproveConfig)
              throws AutoinventoryException

  Description copied from interface: `ScanMethod`
  Initialize this scan method.

  Specified by:
    `init` in interface `ScanMethod`
  Parameters:
    `scanner` - The Scanner that will be running the show.
    `config` - The configuration information for this scan method.
    `autoApproveConfig` - The auto-approval configuration instance.
  Throws:
    `AutoinventoryException`

### setScanner

    public void setScanner(Scanner scanner)

### getConfigSchema

    public org.hyperic.util.config.ConfigSchema getConfigSchema()
                                                         throws AutoinventoryException

  returned by the getConfigOptCores method. Subclasses should generally not need to override this method.

  Specified by:
    `getConfigSchema` in interface `ScanMethod`
  Returns:
    A config schema that determines how this scan method is configured.
  Throws:
    `AutoinventoryException` - If there is an error generating the configuration option list.

### getConfig

    public org.hyperic.util.config.ConfigResponse getConfig()

  Get the current configuration, if one has been set.

  Specified by:
    `getConfig` in interface `ScanMethod`
  Returns:
    the current configuration, or null if it has not been set.

### getOptionsArray

    protected abstract org.hyperic.util.config.ConfigOption[] getOptionsArray()

  Subclasses implement this method to return the array of ConfigOptions supported by the scan method.

  Returns:
    An array of ConfigOptions for this ScanMethod.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 5.8.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2010 Hyperic, Inc. support@hyperic.net, All Rights Reserved.